/*
Theme Name: customizr-child
Version: 1.0
Description: A child theme of Customizr for CAPPA-DEQ
Template: customizr
Author: David Williams
*/

html {
    scroll-behavior: auto !important;
}

body {
	/* */
	background-image: url("../../uploads/EQD_background.jpg"), url("../../uploads/EQD_background_bottom.jpg");
	background-size: cover;
	background-position: center top, center bottom;
	background-repeat: no-repeat, no-repeat;
	background-color: rgb(0,62,125);
	
	font-size: 0.75rem;
	line-height: 1.5em;
	font-family: 'Roboto';
	color: #fff;
}

/* #### Sets styles for non-Elementor pages (mostly news & events) #### */


@media only screen and (min-width: 768px){
	#content.article-container {
		/* This may be too general - check it doesn't affect Elementor pages */
		padding: 0 10% 2.5em;
	}
}

p {
	color: #fff;
}

h1 {
	font-family: 'Roboto', Sans-serif;
	font-weight: 600;
	color: #fff;
}

.wp-block-latest-posts__featured-image img {
	border: 1px solid #ffffff;
}
.wp-block-latest-posts__list a {
	font-size: 1.3em;
	font-family: 'Roboto';
}
/*
.wp-block-latest-posts.wp-block-latest-posts__list li {
	border-top: 1px solid #349b00;
	padding: 2em 3em;
}
*/

blockquote {
	margin: 1.5em 0;
	padding-top: 1.5em;
	padding-bottom: 1.5em;
}
blockquote>* {
	color: #00A2E1;
	font-style: italic;
	font-weight: 1.1em;
}
.wp-block-quote cite {
	color: #444;
	font-weight: bold;
}


.btn-edit {
	display: none !important;
}


/* ####  Override header style settings  #### */

.nav__menu {
/*	text-transform: none; 
	font-weight: normal; */
	font-style: italic;
	font-size: 1.2em;
}

.primary-navbar__wrapper .primary-nav__menu-wrapper {
	border-top: 2px solid #000;
	padding-right: 20px;
}



.tc-header {
	border: none;
	background: none;
}
.tc-header:not(.header-transparent) {
	box-shadow: none;
}
.topbar-navbar__wrapper{
	border: none;
}
.desktop-sticky, .mobile-sticky{
	box-shadow: none;
}

.header-skin-light [class*=nav__menu]  .current-menu-item .nav__link, .header-skin-light [class*=nav__menu] .current_page_item .nav__link, .header-skin-light [class*=nav__menu] .current-active .nav__link {
	color: #fff;
	font-weight: bold;
}
.current-menu-item .nav__link, .current_page_item .nav__link, .current-active .nav__link {
	color: #fff;
	font-weight: bold;
}

.header-skin-light .czr-overlay {
  background: rgba(255, 255, 255, 0.98);
  color: #3d3d3d;
}

.header-skin-light .czr-overlay a {
  color: rgba(49, 49, 49, 0.7);
}

.header-skin-light .czr-overlay a:hover {
  color: #3d3d3d;
}

.header-skin-light #tc-sn {
  outline-color: rgba(49, 49, 49, 0.09);
}

.header-skin-light .ham__toggler-span-wrapper .line {
  background: #fff;
}

.header-skin-light .tc-header .socials a, .header-skin-light .tc-header .socials a:focus, .header-skin-light .tc-header .socials a:active {
  color: #3d3d3d;
}

.header-skin-light .tc-header .socials a:hover {
  color: rgba(49, 49, 49, 0.7);
}

.header-skin-light #tc-sn .tc-sn-inner,
.header-skin-light .tc-header {
  color: #3d3d3d;
  background: #003469;
}

nav#mobile-nav {
  background: rgba(0, 34, 69, 0.9);
}

.header-skin-light .header-transparent:not(.is-sticky) .mobile-nav__nav {
  background: rgba(0, 34, 69, 0.9);
}

.header-skin-light .header-transparent:not(.is-sticky) .dropdown-menu {
  background: rgba(0, 34, 69, 0.9);
}

.header-skin-light .sticky-transparent.is-sticky .mobile-sticky,
.header-skin-light .sticky-transparent.is-sticky .desktop-sticky {
  background: rgba(0, 34, 69, 0.9);
}

.header-skin-light .sticky-transparent.is-sticky .mobile-nav__nav {
  background: rgba(0, 34, 69, 0.9);
}

.header-skin-light .dropdown-item:not(:last-of-type),
.header-skin-light .topbar-navbar__wrapper {
  border-color: rgba(49, 49, 49, 0.09);
}

.header-skin-light .tc-header {
  border-bottom-color: rgba(49, 49, 49, 0.09);
}

.header-skin-light .header-contact__info a, .header-skin-light .header-contact__info a:focus, .header-skin-light .header-contact__info a:active,
.header-skin-light .nav__utils a,
.header-skin-light .nav__utils a:focus,
.header-skin-light .nav__utils a:active {
  color: #3d3d3d;
}

.header-skin-light .header-contact__info a:hover,
.header-skin-light .nav__utils a:hover {
  color: rgba(49, 49, 49, 0.7);
}

.header-skin-light .nav__utils .ham-toggler-menu.czr-collapsed:hover .line {
  background-color: rgba(255, 255, 255, 0.7);
}

.header-skin-light .dropdown-item::before {
  background-color: rgba(0, 0, 0, 0.045);
}

.header-skin-light .vertical-nav .caret__dropdown-toggler {
  background-color: rgba(0, 0, 0, 0.045);
}

.header-skin-light .dropdown-menu,
.header-skin-light .dropdown-item:active,
.header-skin-light .dropdown-item:focus,
.header-skin-light .dropdown-item:hover {
  background: rgba(0, 203, 229, 0.9);
}

.header-skin-light .dropdown-menu {
  color: #3d3d3d;
}

.header-skin-light .navbar-brand-sitename {
  color: #fff;
}

.header-skin-light .header-tagline {
  color: #f1f1f1;
}

.header-skin-light [class*=nav__menu] .nav__link,
.header-skin-light [class*=nav__menu] .nav__link-wrapper .caret__dropdown-toggler {
  color: #fff;
}

.header-skin-light [class*=nav__menu] .nav__title::before {
  background-color: #fff;
}

.header-skin-light [class*=nav__menu] .nav__link:hover,
.header-skin-light [class*=nav__menu] .nav__link-wrapper .caret__dropdown-toggler:hover,
.header-skin-light [class*=nav__menu] .show:not(.dropdown-item) > .nav__link,
.header-skin-light [class*=nav__menu] .show:not(.dropdown-item) > .nav__link-wrapper .nav__link {
  color: #f1f1f1;
}

.header-skin-light [class*=nav__menu] .dropdown-menu .nav__link {
  color: #fff;
}

.header-skin-light [class*=nav__menu] .dropdown-item .nav__link {
  color: #f1f1f1;
}

.header-skin-light [class*=nav__menu] .dropdown-item .nav__link:hover {
  color: #f1f1f1;
}

.header-skin-light .czr-highlight-contextual-menu-items [class*=nav__menu] li:not(.dropdown-item).current-active > .nav__link,
.header-skin-light .czr-highlight-contextual-menu-items [class*=nav__menu] li:not(.dropdown-item).current-active > .nav__link-wrapper .nav__link,
.header-skin-light .czr-highlight-contextual-menu-items [class*=nav__menu] .current-active > .nav__link,
.header-skin-light .czr-highlight-contextual-menu-items [class*=nav__menu] .current-active > .nav__link-wrapper .nav__link {
  color: #777;
}

.header-skin-light .vertical-nav > li:not(:last-of-type),
.header-skin-light .mobile-nav__container,
.header-skin-light .header-search__container,
.header-skin-light .mobile-nav__nav {
  border-color: rgba(49, 49, 49, 0.075);
}

.header-skin-light .tc-header .czr-form label, .header-skin-light .czr-overlay .czr-form label {
  color: #f1f1f1;
}

.header-skin-light .tc-header .czr-form .form-group.in-focus label, .header-skin-light .czr-overlay .czr-form .form-group.in-focus label {
  color: rgba(49, 49, 49, 0.7);
}

.header-skin-light .tc-header .czr-form input:not([type='submit']):not([type='button']):not([type='number']):not([type='checkbox']):not([type='radio']),
.header-skin-light .tc-header .czr-form textarea,
.header-skin-light .tc-header .czr-form .form-control, .header-skin-light .czr-overlay .czr-form input:not([type='submit']):not([type='button']):not([type='number']):not([type='checkbox']):not([type='radio']),
.header-skin-light .czr-overlay .czr-form textarea,
.header-skin-light .czr-overlay .czr-form .form-control {
  color: #3d3d3d;
  border-color: #3d3d3d;
}

/* #############################  */


/* ######  Footer   #######  */

#main-wrapper {
	border-bottom: solid 5px #262626;
	margin-bottom: 3px;
}

#main-wrapper.cappa-deq-scan {
	border-bottom: none;
	margin-bottom: 3px;
}


.footer-skin-dark .footer__wrapper {
	border: none;
}
.footer-skin-dark .footer__wrapper a{
	color: #242424;
}

#footer-horizontal-widget-area {
	background-color: #f1f1f1;
	padding: 0px 0px 0px;
	margin: 0;
	background-image: conic-gradient(from -151.8deg at right top, #fff0, #fff 1deg 122.6deg, #fff0 122.6deg), conic-gradient(from 28.2deg at left top, #fff0, #fff 1deg 122.6deg, #fff0 122.6deg);
	background-repeat: no-repeat, no-repeat;
	background-position: left top , right top;
	background-size: 10% 6em;		

/*    border-left: 64px solid transparent;
    border-right: 64px solid transparent;
    border-bottom: 120px solid #f1f1f1;
	height: 0;
	overflow: visible;
*/
}
#footer-horizontal-widget-area .container {
	padding: 1.5em 15% 0 15%;
	background-color: transparent;

/*	mask: conic-gradient(from 28.2deg at left bottom, #0000, #000 1deg 122.6deg, #0000 122.6deg) left/51% 100% no-repeat, conic-gradient(from -151.8deg at right bottom, #0000, #000 1deg 122.6deg, #0000 122.6deg) right/51% 100% no-repeat;	
*/
}



#dw_footer_separator {
	padding: 0;
	margin: 1em 0;
	width: 100%;
	border-top: 1px solid #555;
}
/* Kludge to make line same width as colophon line (widget padding is 15px)*/
#dw_footer_separator:before, #dw_footer_separator:after {
    content: "";
    position: absolute;
    height: 0px;
    width: 15px;
    margin-top: -1px;
    border-top: 1px solid #555;
}
#dw_footer_separator:before {
    left: 0px;
}
#dw_footer_separator:after {
    right: 0px;
}

#dw_footer_funding_wrapper {
	background-color: #fff;
	margin: 2em auto;
	padding: 1em;
	max-width: 760px;
	min-height: 120px;
	border-radius: 4px;
}

#dw_footer_funding_wrapper .funding_logos {
	float: right;
}
#dw_footer_funding_wrapper .funding_logos img {
	max-height: 75px;
	padding: 1em;
}


#dw_footer_funding_wrapper .funding_text {
	max-width: 415px;
	padding-left: 1em;
}
#dw_footer_funding_wrapper .funding_text p {
	font-style: italic;
	color: #242424;
	font-size: 100%;	
}

@media only screen and (max-width: 1000px){
	#dw_footer_funding_wrapper .funding_logos {
		float: none;
		text-align: center;
		width: 100%;
	}
	#dw_footer_funding_wrapper .funding_logos img {
		margin: 0 auto;
	}
	#dw_footer_funding_wrapper .funding_text {
		margin-top: 2em;
		text-align: center;
		max-width: 90%;
	}
}


.footer-skin-dark .footer__wrapper #colophon {
	background-color: #262626;
}

#colophon .colophon__row .col-12, #footer__credits {
/*	border-top: 1px solid #555; */
	width: 100%;
	text-align: center;
}

#footer__credits .czr-copyright-text {
	font-size: .7rem;
	text-align: center;
	color: #b3b3b3;
}
#footer__credits .policies_link {
	font-size: .7rem;
	text-align: center;
	color: #b3b3b3;
}


/* #############################  */



/* ######  Scan Page   #######  */

p#cappa-deq-result {
	background-color: rgba(0,0,0,0.8);
	color: #72BFC5;
	font-family: 'Arial';
	font-size: 1em;
	font-style: italic;
	width: 80%;
	max-width: 600px;
	margin: 24px auto;
	padding: 5px 15px;
	text-align: center;
}
    	
div#cappa-deq-camera {
	width: 90%;
//    		min-height: 60px;
	max-width: 640px;
	margin: 20px auto;
	background-color: rgba(0,0,0,0.8);
	border: 3px solid blue;
	overflow: hidden;
}

// Bug fix? Think it is unecessary once the div has min size
canvas.drawingBuffer {   
	display: none;
}
    
#cappa-deq-camera video{
	width:100%;
	max-width: 640px;
}
div#cappa-deq-camera.visible {
	visibility: visible;
	max-height: 480px;
	opacity: 1;
	transition: opacity 0.5s linear, max-height 0.5s ease;
}
div#cappa-deq-camera.hidden {
	visibility: hidden;
	opacity: 0;
	max-height: 0;
	transition: visibility 0s 0.5s, opacity 0.5s linear, max-height 0.5s ease;
}

#cappa-deq-main button, 
#cappa-deq-main div.cappa-deq-btn-div {
	display: block;
	width: 60%;
	max-width: 480px;
	min-width: 200px;
	margin: 10px auto 40px auto;
	padding: 15px 40px;
	font-family: 'Roboto','Arial';
	font-size: 1.6em;
	font-weight: bold;
	text-align: center;
	color: #fff;
	background-color: #00A2E1;
	border-radius: 25px;
	border: 0px solid #fff;
	box-shadow: 0 0 10px 0 rgba(0,0,0,0.5);
}

#cappa-deq-main button:hover, 
#cappa-deq-main div.cappa-deq-btn-div:hover {
	background-color: #72BFC5;        	
}

#cappa-deq-main a {
	text-decoration: none;
	color: #fff;
}






/* #############################  */




/* ######  Edit Item form page   #######  */




/* #############################  */















